#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              2.1.0.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-2.1.0.0-H24YSviegP7CIc20smqeFz-tasty-sugar-internal

key:
    tasty-sugar-2.1.0.0-H24YSviegP7CIc20smqeFz-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  840047441dd9130082b308e805f41c56
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.Candidates Test.Tasty.Sugar.ExpectCheck
    Test.Tasty.Sugar.Iterations Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-2.1.0.0-H24YSviegP7CIc20smqeFz-tasty-sugar-internal

depends:
    base-4.15.1.0 containers-0.6.4.1 directory-1.3.6.2
    filemanip-0.3.6.3-1H02oeOOJ9yFpzxRJpDEB1 filepath-1.4.2.1
    kvitable-1.0.2.1-FcpBUJy3Lgv2kJTpKJpEeY
    logict-0.7.1.0-Y8B1WNx4hn7iiPBzGt4tT
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4 mtl-2.2.2
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-I9kDz56XpFR6GUnk7eyT1i text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              2.1.0.0
visibility:           public
id:                   tasty-sugar-2.1.0.0-2LI04YDdHm693Ddsyq2dfA
key:                  tasty-sugar-2.1.0.0-2LI04YDdHm693Ddsyq2dfA
license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  7c5fc721c5529e3988e17b3d9c787749
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-2.1.0.0-2LI04YDdHm693Ddsyq2dfA
depends:
    base-4.15.1.0 containers-0.6.4.1 directory-1.3.6.2
    filemanip-0.3.6.3-1H02oeOOJ9yFpzxRJpDEB1 filepath-1.4.2.1
    logict-0.7.1.0-Y8B1WNx4hn7iiPBzGt4tT
    optparse-applicative-0.17.1.0-2LmfOaibC5IAc1E2vSZNkZ
    prettyprinter-1.7.1-I9kDz56XpFR6GUnk7eyT1i
    tasty-1.4.3-IhB53OZ3YrY7KcLf5aIyzi
    tasty-sugar-2.1.0.0-H24YSviegP7CIc20smqeFz-tasty-sugar-internal
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

